Description

The current (r1168) ja localization translates "Issue" as [I[I . I feel that I (problem) is too limiting, given that Redmine can be setup
to track anything.

For example, | might want to track "Ideas" for my project. An Idea would not usually be classed a [I[l.
| propose to replace all instances of [l with 000 (ticket), and the attached patch does so.

| have confirmed this with two Japanese speakers.

History
#1 - 2008-02-24 16:21 - Satoru KURASHIKI
hi,

I have tranlated that word. | think that the word "l is NOT the best too, and
agree that "Redmine can be setup to track anything", but:

1. The word "Issue" is not "Ticket". And | feel that the term "000" is not mature,
used mainly among IT early adopters, software development venture companies, and so on.

2. | select the word from general translation of "Issue Tracking(0000/0000)",
because these words might be acceptable for managers in Japanese company (than "0000").

I think that "00" must be replaced, but I'm not sure "0000" is it... what do you think about these?

#2 - 2008-02-25 13:09 - Yasushi SHOJI

Hi all,
Sorry to be jump in. please ignore if I'm off the point.

the point is that we don't have one to one representative word for "issue" in Japanese, and the word 00 is too limited. | believe we all agree on this.
now let me just start a brainstorm. I'd add a few idea:

® keepitasitis.

e make it customizable.

« use (000 as it is (the worst idea I've got :-p)

e change English version to ticket so that we can use O00L.
to counterpart the given points are:
1) we write one issue on a ticket, so it should be ok to use a ticket and an issue interchangeably. (we do that while we are talking, don't we?)
2) a) managers nor non-tech workers don't think clicking the tab labeled "lI" when they give an order or an idea to the team. b) ticket seems to be
handled as a symbol in non-tech people's mind compare to some workd, which non-tech people already have some image related to. c) as we all
agree that redmine is not only for 00, and redmine already have "tracker" attribute for the type of issue.(I'm in a management position but sure not to
be qualified ;-p)
anyway, my 2 cents.
#3 - 2008-02-26 14:58 - chris mcharg
Thanks for the responses Satoru and Yasushi.

To add to what Yasushi said...

1. The word "Issue" is not "Ticket".
| know its important to keep the translation as close to the original as possible, but

® The word "Issue" is not "Problem"
e Ticket just works better. It is more encompassing (due to it be an abstract object), and matches the user experience (big yellow ticket)

| guess this would be easier if the English label was changed to ticket first... :)
And | feel that the term "0000" is not mature,
used mainly among IT early adopters, software development venture companies, and so on.
My feeling would be that 0000 is a very easy concept to understand, so there's no need to be conservative about using it.
Also, with the above line of reasoning, how do words like DDDDDDDDD, DDDDDD, DDDDDDD, DDD, 00000 stand up?
2. | select the word from general translation of "Issue Tracking(UOO0/000)",
because these words might be acceptable for managers in Japanese company (than "0000").
| think it would be best to aim for "best fit" for all users rather than worry about what one group might potentially think.
In the end I think that 000 is more congruent with redmine's functionality, so | hope | can get your support for this change Satoru.
Cheers.
#4 - 2008-02-26 16:42 - Satoru KURASHIKI
hi,

| have a consciousness of being in a way paranoid not to change concept of words.
(00" is not only "problem” but also "issue”, and | feel that "ticket" represents "How" to deal with things while "issue" represents "What".)

But anyway, | agree these:

1) we write one issue on a ticket, so it should be ok to use a ticket and an issue interchangeably. (we do that while we are talking, don't we?)

I think it would be best to aim for "best fit" for all users rather than worry about what one group might potentially think.

And | will make consistent with this (#717) patch. It has conflict with my recent update (#693), | will re-attach #693's file.

P.S.

Maybe there are some other Japanese translation which bring discomfort. Any comments?

(for example, "00" could be better...)

| intend to update ja.yml for a time, then I'm very glad to make use of a tip.

regards,

#5 - 2008-02-28 13:23 - chris mcharg

- Status changed from New to Resolved

- % Done changed from 0 to 100

Thanks very much for that... much appreciated!
Maybe there are some other Japanese translation which bring discomfort. Any comments?
(for example, "ll[I" could be better...)

Hmm... not to sure, maybe [[01? But thats not a directly translation either is it :-)

| intend to update ja.yml for a time, then I'm very glad to make use of a tip.

Will definitely let you know if something grabs my attention.

Thanks again.

Resovled by #693 (ja.yml, 2008-02-28)

2025-08-23 2/3


https://www.redmine.org/issues/717
https://www.redmine.org/issues/693
https://www.redmine.org/issues/693

#6 - 2008-03-05 09:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Committed in r1132.

Files

ja-problem-to-ticket.patch
